BEGIN
   EXECUTE IMMEDIATE 'DROP TABLE SZRSORR';
EXCEPTION
   WHEN OTHERS THEN
      IF SQLCODE != -942 THEN
         RAISE;
      END IF;
END;
/

-- drop sequence SATURN.SZRSORR_seq;
--
-- create sequence SATURN.SZRSORR_seq;

CREATE TABLE SATURN.SZRSORR
 (
   "SZRSORR_RULE_ID" NUMBER(5) NOT NULL ENABLE,
   "SZRSORR_RULE_TYPE" VARCHAR2(30 CHAR) NOT NULL ENABLE,
   "SZRSORR_ATTRIBUTE" VARCHAR2(30 CHAR) NOT NULL ENABLE,
   "SZRSORR_ALLOWED_STATES" VARCHAR2(100 CHAR),
   "SZRSORR_RULE_VALUE" VARCHAR2(100 CHAR) NOT NULL ENABLE,
   CONSTRAINT PK_SZRSORR PRIMARY KEY (SZRSORR_RULE_ID)
   );

COMMENT ON COLUMN "SATURN"."SZRSORR"."SZRSORR_RULE_ID" IS 'This field uniquely identifies the the row';
COMMENT ON COLUMN "SATURN"."SZRSORR"."SZRSORR_RULE_TYPE" IS 'This field contains the student or course .';
COMMENT ON COLUMN "SATURN"."SZRSORR"."SZRSORR_ATTRIBUTE" IS 'This field field contains the student program or subject/number';
COMMENT ON COLUMN "SATURN"."SZRSORR"."SZRSORR_ALLOWED_STATES" IS 'This field contains the allowed states for th paritcular programs or courses';
COMMENT ON COLUMN "SATURN"."SZRSORR"."SZRSORR_RULE_VALUE" IS 'This field contais the course name';

CREATE OR REPLACE PUBLIC SYNONYM SZRSORR for SATURN.SZRSORR;

/

